ChangeSet 1.1595.8.6, 2003/07/29 22:24:20-07:00, bellucda@tiscali.it

[PATCH] USB: Audit usb_register() in drivers/usb/input/aiptek.c


 drivers/usb/input/aiptek.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/input/aiptek.c b/drivers/usb/input/aiptek.c
--- a/drivers/usb/input/aiptek.c	Fri Aug  1 10:56:25 2003
+++ b/drivers/usb/input/aiptek.c	Fri Aug  1 10:56:25 2003
@@ -367,10 +367,12 @@
 static int __init
 aiptek_init(void)
 {
-	usb_register(&aiptek_driver);
-	info(DRIVER_VERSION " " DRIVER_AUTHOR);
-	info(DRIVER_DESC);
-	return 0;
+	int result = usb_register(&aiptek_driver);
+	if (result == 0) {
+		info(DRIVER_VERSION " " DRIVER_AUTHOR);
+		info(DRIVER_DESC);
+	}
+	return result;
 }
 
 static void __exit
